> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yapcoder.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get total Sui packages

> Returns the total count of Sui packages.



## OpenAPI

````yaml get /api/v1/sui/packages/total
openapi: 3.0.0
info:
  title: YapCoder API
  description: API for YapCoder - Developer Reputation and Analytics Platform
  version: 1.0.0
servers:
  - url: https://api.yapcoder.com
    description: Local development server
security:
  - bearerAuth: []
  - apiKeyAuth: []
tags:
  - name: healthchecks
    description: Service health and readiness checks
  - name: developers
    description: Developer management and analytics
  - name: projects
    description: Project analytics and repository details
  - name: sui
    description: Sui ecosystem packages and data
paths:
  /api/v1/sui/packages/total:
    get:
      tags:
        - sui
      summary: Get total Sui packages
      description: Returns the total count of Sui packages.
      operationId: GetSuiTotalPackages
      responses:
        '200':
          description: Total packages count
          content:
            application/json:
              schema:
                type: object
                properties:
                  total:
                    type: integer
                    format: int64
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    ErrorResponse:
      type: object
      properties:
        message:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
    apiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````